# Uses of Class
org.eclipse.jdt.core.refactoring.CompilationUnitChange

Packages that use CompilationUnitChange
Package
Description
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.ui.cleanup
Application programming interfaces for code clean up.

## Uses of CompilationUnitChange in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation that return CompilationUnitChange
Modifier and Type
Method
Description
`CompilationUnitChange`
ICleanUpFixCore.`createChange(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Deprecated, for removal: This API element is subject to removal in a future version.
Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

## Uses of CompilationUnitChange in org.eclipse.jdt.ui.cleanup

Methods in org.eclipse.jdt.ui.cleanup that return CompilationUnitChange
Modifier and Type
Method
Description
`CompilationUnitChange`
ICleanUpFix.`createChange(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.